## byacc 2.0.20220114

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.24 2021/08/14 01:04:32 mef Exp $
#

DISTNAME=	byacc-20220114
CATEGORIES=	devel
MASTER_SITES=	https://invisible-mirror.net/archives/byacc/
DIST_SUBDIR=	byacc-20220101
EXTRACT_SUFX=	.tgz

MAINTAINER=	fcambus@NetBSD.org
HOMEPAGE=	https://invisible-island.net/byacc/byacc.html
COMMENT=	Berkeley Yacc
LICENSE=	public-domain


GNU_CONFIGURE=	YES
MAKE_FILE=	makefile

.include "../../mk/bsd.pkg.mk"

=== debian/changelog ===
byacc (1:2.0.20220114-1) unstable; urgency=medium

  * Use combination of dversionmangle/oversionmangle in watch file to work with
    upstream versioning of tarballs.
  * byacc is now built with back-tracking support; as a side-effect
    debug-output is sent to stderr instead of stdout.
  * Correct versioning using epoch; the previous package version used only the
    date/time, while byacc's major/minor version were omitted from the package
    version.  The program's "-V" option gave that information.
  * Adopt package and set myself as maintainer (Closes: #1002990).
  * New upstream release, upgrading from 2014 to 2022.
  * Update build system (Closes: #965445)
  * Fix usage of two-fonts macros (Closes: #955175)
  * Corrected watch-path to the source files (Closes: #916894)
  * Remove obsolete "README.Debian"
  * Standards-Version: 4.6.0.1.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 26 Jan 2022 15:13:59 -0500

byacc (20140715-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.6

 -- Dave Beckett <dajobe@debian.org>  Sun, 05 Oct 2014 09:01:57 -0700

byacc (20140422-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: enable new backtracking yacc extension (btyacc)

 -- Dave Beckett <dajobe@debian.org>  Sat, 10 May 2014 11:24:05 -0700

byacc (20140101-1) unstable; urgency=medium

  * New upstream release
  * Standards version: 3.9.5

 -- Dave Beckett <dajobe@debian.org>  Wed, 05 Feb 2014 10:07:39 -0800

byacc (20130925-1) unstable; urgency=low

  * New upstream release
  * Update config.guess and config.sub at build time; this was not done
    automatically by dh_autoreconf because this package does not use
    Libtool.  Patch from Colin Watson - thanks! (Closes: #726074)

 -- Dave Beckett <dajobe@debian.org>  Sat, 16 Nov 2013 12:27:37 -0800

byacc (20121003-2) unstable; urgency=low

  * Mark byacc Multi-Arch: foreign. (Closes: #694985)
  * Standards version: 3.9.4
  * Added patch aclocal-ac-acversion to fix aclocal to work with newer autoconf.
  * Use dh_autoreconf and dh_autoreconf_clean to use newest auto files

 -- Dave Beckett <dajobe@debian.org>  Wed, 13 Feb 2013 17:31:00 -0800

byacc (20121003-1) unstable; urgency=low

  * New upstream release
  * debian/rules: use dh_auto_configure to configure and set build flags
    and envariables

 -- Dave Beckett <dajobe@debian.org>  Tue, 27 Nov 2012 21:08:00 -0800

byacc (20120115-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/copyright URLs

 -- Dave Beckett <dajobe@debian.org>  Sun, 11 Mar 2012 08:36:55 -0700

byacc (20110908-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.2
  # debian/rules: build-arch and build-indep

 -- Dave Beckett <dajobe@debian.org>  Sun, 13 Nov 2011 15:42:08 -0800

byacc (20101229-1) unstable; urgency=low

  * New upstream release
  * debian/source/format: 3.0 (quilt)
  * debian/control: Standards-Version: 3.9.1
  * debian/copyright: Updated with latest upstream version
  * Remove patch debian/patches/01-main-mktemp-security.patch since
    code now uses mkstemp() directly.

 -- Dave Beckett <dajobe@debian.org>  Sat, 26 Feb 2011 09:16:10 -0800

byacc (20100610-1) unstable; urgency=low

  * New upstream release (Closes: #584732, #584733, #584738, #584848)
    - patches from Andres Mejia in bugs were applied upstream

 -- Dave Beckett <dajobe@debian.org>  Thu, 10 Jun 2010 22:16:22 -0700

byacc (20100216-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Tue, 20 Apr 2010 12:47:11 -0700

byacc (20091027-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Updated to policy 3.8.4
    - Add ${misc:Depends}

 -- Dave Beckett <dajobe@debian.org>  Tue, 02 Feb 2010 21:36:34 -0800

byacc (20090221-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Thu, 26 Feb 2009 21:06:20 -0800

byacc (20080826-1) unstable; urgency=high

  * New upstream release
  * debian/patches/02-skeleton.patch: Removed - merged upstream
  * debian/control: Updated to policy 3.8.0
  * debian/preinst, debian/postrm: removed - empty (lintian)
  * debian/watch: version 3 and make FTP passive
  * Acknowledge NMU - thanks.

 -- Dave Beckett <dajobe@debian.org>  Wed, 11 Sep 2008 23:58:00 -0700

byacc (20070509-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix stack overflow in skeleton.c with upstream patch.
    Closes: #491182 aka CVE-2008-3196

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 24 Aug 2008 23:13:07 +0200

byacc (20070509-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Fix to use passive FTP
  * debian/compat: added instead of use of DH_COMPAT in debian/rules

 -- Dave Beckett <dajobe@debian.org>  Tue, 26 Jun 2007 22:39:45 -0700

byacc (20050813-1) unstable; urgency=low

  * New upstream release:
    - Do not close union_file for -d option (Closes: #322858)

 -- Dave Beckett <dajobe@debian.org>  Sun, 14 Aug 2005 10:14:12 +0100

byacc (20050505-1) unstable; urgency=low

  * New maintainer (Closes: #321377)
  * Switch to new upstream and new source (Closes: #240662)
  * debian/copyright: Update to new upstream and add source information
    (Closes: #166300)
  * Acknowledge fix in NMUs (Closes: #283174)
  * New manual page does not have the formatting problem (Closes: #100947)
  * Added debian/watch file.

 -- Dave Beckett <dajobe@debian.org>  Fri,  5 Aug 2005 22:50:20 +0100

byacc (1.9.1-1.1) unstable; urgency=low

  * Remove alternative in prerm.  Closes: #283174

 -- LaMont Jones <lamont@debian.org>  Fri, 26 Nov 2004 18:49:09 -0700

byacc (1.9.1-1) unstable; urgency=low

  * Maintainer upload.
  * Fixed alternatives entry, closes: Bug#146195;
  * Changed priority to "extra" at behest of Daniel Bungert,
    closes: Bug#142271.
  * Fixed awful packaging error which meant the test/ directory was excluded
    from the orig.tar.gz.



=== debian/control ===
Source: byacc
Maintainer: Thomas E. Dickey <dickey@invisible-island.net>
Uploaders: Thomas E. Dickey <dickey@his.com>
Section: devel
Priority: optional
Standards-Version: 4.6.0.1
Build-Depends: debhelper-compat (= 13),
Rules-Requires-Root: no
Homepage: https://invisible-island.net/byacc/
Vcs-Browser: https://salsa.debian.org/debian/byacc
Vcs-Git: https://salsa.debian.org/debian/byacc.git

Package: byacc
Provides: yacc
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: public domain Berkeley LALR Yacc parser generator
 This package provides a parser generator utility that reads a grammar
 specification from a file and generates an LR(1) parser for it.  The
 parsers consist of a set of LALR(1) parsing tables and a driver
 routine written in the C programming language.  It has a public domain
 license which includes the generated C.
 .
 This package has the backtracking extension, adapted from btyacc.
 .
 Related packages: bison, btyacc, antlr

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all qa=+bug reproducible=+all

%:
	dh $@

# dh_autoreconf interferes with portability -- skip it
override_dh_autoreconf:
	echo "skip: dh_autoreconf autoreconf-dickey -- -f -i"

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-warnings \
		--verbose \
		--enable-stdnoreturn \
		--enable-btyacc \
		--with-max-table-size=123456 \
		--program-transform-name='s,^yacc,byacc,'

	# workaround for whatis
	sed -i '/- an LALR/s,^..N,byacc,' yacc.1

	# omit tests which rely upon getopt error-messages
	sed -i.bak '/MYFILE=nosuchfile/,/# Test special cases/d' test/run_test.sh
	diff -u test/run_test.sh.bak test/run_test.sh || echo OK

## byacc 2.0.20221106

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # $NetBSD: Makefile,v 1.24 2021/08/14 01:04:32 mef Exp $
 #
 
-DISTNAME=	byacc-20220114
+DISTNAME=	byacc-20221106
 CATEGORIES=	devel
 MASTER_SITES=	https://invisible-mirror.net/archives/byacc/
 DIST_SUBDIR=	byacc-20220101

=== debian/changelog ===
byacc (1:2.0.20221106-1) unstable; urgency=medium

  * New upstream release
  * Make program name in manpage consistent with whatis.
  * Make debian/rules executable.
  * Use default max-table-size, i.e., INT_MAX.
  * Standards-Version: 4.6.1.0.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 07 Nov 2022 17:53:46 -0500

byacc (1:2.0.20220128-1) UNRELEASED; urgency=medium

  * Test-build for 20220128.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 28 Jan 2022 17:55:01 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Thomas E. Dickey <dickey@his.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
 Homepage: https://invisible-island.net/byacc/

=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,15 @@
 		--verbose \
 		--enable-stdnoreturn \
 		--enable-btyacc \
-		--with-max-table-size=123456 \
 		--program-transform-name='s,^yacc,byacc,'
 
-	# workaround for whatis
-	sed -i '/- an LALR/s,^..N,byacc,' yacc.1
+	# workaround for whatis, consistent naming
+	sed -i \
+		-e '/^\.TH/s, YACC, BYACC,' \
+		-e '/^\.ds/s, Yacc, Byacc,' \
+		-e '/^\.ds/s, yacc, byacc,' \
+		-e '/- an LALR/s,^..N,byacc,' \
+		yacc.1
 
 	# omit tests which rely upon getopt error-messages
 	sed -i.bak '/MYFILE=nosuchfile/,/# Test special cases/d' test/run_test.sh

=== debian/watch ===
version=4

# upstream provides tarballs such as "byacc-20220101.tgz" (originally to
# keep the filenames compatible with systems where multiple "." are illegal).
#
# The version number (2.0) is current since late 2020; before that it was
# "1.9" for a long time.  Use
#    byacc -V
# to see the version number:
#    byacc - 2.0 20220101
#
# The introduction of the back-tracking configuration motivated the change of
# major/minor numbers; for compatibility the parser skeleton still says "1.9".
#
# Patch-dates are always # in yyyymmdd format.

opts=pgpmode=auto,\
dversionmangle=s/^2\.0\.//,\
oversionmangle=s/^(.*)/2.0.$1/ \
 https://invisible-mirror.net/archives/byacc/byacc-(\d+)\.tgz

## byacc 2.0.20241231

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.35 2024/07/05 20:55:55 cheusov Exp $
#

DISTNAME=	byacc-20241231
CATEGORIES=	devel
MASTER_SITES=	https://invisible-mirror.net/archives/byacc/
EXTRACT_SUFX=	.tgz

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	https://invisible-island.net/byacc/byacc.html
COMMENT=	Berkeley Yacc
LICENSE=	public-domain

GNU_CONFIGURE=	YES

CONFIGURE_ARGS+=	--with-manpage-format=normal

MAKE_FILE=	makefile

.include "../../mk/bsd.pkg.mk"

=== debian/changelog ===
byacc (1:2.0.20241231-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0.1.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 01 Jan 2025 08:16:04 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Thomas E. Dickey <dickey@his.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0.1
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
 Homepage: https://invisible-island.net/byacc/

## byacc 2.0.20260126

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # $NetBSD: Makefile,v 1.35 2024/07/05 20:55:55 cheusov Exp $
 #
 
-DISTNAME=	byacc-20241231
+DISTNAME=	byacc-20260126
 CATEGORIES=	devel
 MASTER_SITES=	https://invisible-mirror.net/archives/byacc/
 EXTRACT_SUFX=	.tgz

=== debian/changelog ===
byacc (1:2.0.20260126-1) unstable; urgency=medium

  * New upstream release
  * Update upstream signing key.
  * Drop Rules-Requires-Root field from debian/control, redundant.
  * Drop Priority field from debian/control, redundant.
  * Bump Standards-Version to 4.7.3, no further changes needed.
  * Update years in debian/copyright.
  * Use SPDX terms in debian/copyright.
  * Modify rules to build source after successful build (Closes: #1043899).

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 23 Feb 2026 16:17:10 -0500

## byacc 20101229

=== debian/control ===
Source: byacc
Maintainer: Dave Beckett <dajobe@debian.org>
Section: devel
Priority: extra
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5)
Homepage: http://invisible-island.net/byacc/

Package: byacc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: public domain Berkeley LALR Yacc parser generator
 This package provides a parser generator utility that reads a grammar
 specification from a file and generates an LR(1) parser for it.  The
 parsers consist of a set of LALR(1) parsing tables and a driver
 routine written in the C programming language.  It has a public domain
 license which includes the generated C.

## byacc 20110908

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Dave Beckett <dajobe@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 5)
 Homepage: http://invisible-island.net/byacc/

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS =

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif


configure: configure-stamp
configure-stamp:
	dh_testdir

	CFLAGS="$(CFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--program-transform-name='s,^,b,'

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) clean

	rm -f configure-stamp build-stamp install-stamp \
		config.cache config.h config.status config.log makefile

	rm -f *.o yacc

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/byacc

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# No binary-indep target.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-stamp

## byacc 20120115

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Dave Beckett <dajobe@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 5)
 Homepage: http://invisible-island.net/byacc/

## byacc 20121003

=== debian/changelog ===
byacc (20121003-2ubuntu1) saucy; urgency=low

  * Update config.guess and config.sub at build time; this was not done
    automatically by dh_autoreconf because this package does not use
    Libtool.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 12 Oct 2013 02:41:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: byacc
-Maintainer: Dave Beckett <dajobe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 5)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), dh-autoreconf
 Homepage: http://invisible-island.net/byacc/
 
 Package: byacc
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: public domain Berkeley LALR Yacc parser generator
  This package provides a parser generator utility that reads a grammar

## byacc 20130925

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: byacc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
+Maintainer: Dave Beckett <dajobe@debian.org>
 Section: devel
 Priority: extra
 Standards-Version: 3.9.4

## byacc 20140101

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Dave Beckett <dajobe@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 5), dh-autoreconf
 Homepage: http://invisible-island.net/byacc/

=== debian/rules ===
--- 
+++ 
@@ -11,28 +11,23 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS =
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-        CFLAGS += -O0
-else
-        CFLAGS += -O2
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
         INSTALL_PROGRAM += -s
 endif
 
 
+# This package does not use Libtool, so special care is needed to update
+# config.guess and config.sub.
+autoreconf:
+	autoreconf -f -i
+	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub ./
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 
-	CFLAGS="$(CFLAGS)" ./configure \
-		--host=$(DEB_HOST_GNU_TYPE) \
-		--build=$(DEB_BUILD_GNU_TYPE) \
-		--prefix=/usr \
-		--mandir=\$${prefix}/share/man \
-		--sysconfdir=/etc \
+	dh_autoreconf debian/rules -- autoreconf
+	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) \
 		--program-transform-name='s,^,b,'
 
 	touch configure-stamp
@@ -53,6 +48,7 @@
 
 	[ ! -f Makefile ] || $(MAKE) clean
 
+	dh_autoreconf_clean
 	rm -f configure-stamp build-stamp install-stamp \
 		config.cache config.h config.status config.log makefile
 
@@ -64,7 +60,7 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/byacc

## byacc 20140715

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.9 2008/07/24 17:13:00 tonnerre Exp $
#

DISTNAME=	byacc-20140715
PKGREVISION=	1
CATEGORIES=	devel
MASTER_SITES=	ftp://invisible-island.net/byacc/
EXTRACT_SUFX=	.tgz

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	http://dickey.his.com/byacc/byacc.html
COMMENT=	Berkeley Yacc

PKG_DESTDIR_SUPPORT=	user-destdir

GNU_CONFIGURE=	YES
MAKE_FILE=	makefile

.include "../../mk/bsd.pkg.mk"

=== debian/changelog ===
byacc (20140715-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: byacc
-Maintainer: Dave Beckett <dajobe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 5), dh-autoreconf
 Homepage: http://invisible-island.net/byacc/

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,8 @@
 
 	dh_autoreconf debian/rules -- autoreconf
 	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) \
-		--program-transform-name='s,^,b,'
+		--program-transform-name='s,^,b,' \
+		--enable-byacc
 
 	touch configure-stamp

## byacc 20140715.1

=== debian/changelog ===
byacc (20140715.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: aa81ba442764e03c39bf37ca624b8aa272fe1ca9']

 -- shuttle <shuttle@deepin.com>  Wed, 11 Dec 2019 19:57:09 +0000
